DSAPARAM(1SSL)

NOM
dsaparam - Manipulation et génération de paramètres DSA

SYNOPSIS
openssl dsaparam [-inform DER|PEM] [-outform DER|PEM] [-in fichier] [-out fichier] [-noout] [-text] [-C] [-rand fichier(s)] [-genkey] [-engine id] [nombre_bits]

DESCRIPTION
Cette commande est utilisée pour manipuler ou générer des fichiers de paramètres DSA.

OPTIONS

-inform DER|PEM
    Indique le format d'entrée. L'option DER utilise une forme encodée ASN1 DER compatible avec les paramètres DSS selon la RFC 2459 (PKIX) qui sont une SEQUENCE comprenant p, q, et g respectivement. La forme PEM est le format par défaut : il s'agit d'un format DER encodé en base64 avec des lignes supplémentaires au début et à la fin.

-outform DER|PEM
    Indique le format de sortie. Les options ont la même signification que pour l'option -inform.

-in fichier
    Indique le nom du fichier d'où seront lus les paramètres ou l'entrée standard si cette option n'est pas indiquée. Si le paramètre nombre_bits est inclus, alors cette option est ignorée.

-out fichier
    Indique le nom du fichier de sortie pour les paramètres. La sortie standard est utilisée si cette option n'est pas présente. Le fichier ne doit pas être identique au fichier d'entrée.

-noout
    Cette option empêche la sortie des paramètres en version encodée.

-text
    Cette option affiche les paramètres DSA sous forme lisible.

-C  Cette option convertit les paramètres en code source C. Ces paramètres peuvent ensuite être chargés en utilisant la fonction get_dsaXXX().

-genkey
    Cette option génère une clef DSA en utilisant les paramètres indiqués ou générés.

-rand fichier(s)
    Un ou plusieurs fichiers contenant des données aléatoires utilisées pour initialiser le générateur de nombres pseudoaléatoires, ou une socket EGD (consultez RAND_egd(3)). Plusieurs fichiers peuvent être indiqués en utilisant le séparateur du système d'exploitation : « ; » pour Windows, « , » pour OpenVMS et « : » pour tous les autres.

nombre_bits
    Cette option indique qu'un ensemble de paramètres de taille nombre_bits doit être généré. Cette option doit être placée en dernier. Si cette option est présente, le fichier d'entrée (s'il y en a un) est ignoré.

-engine id
    Indique un moteur (en utilisant son identifiant unique id), et force dsaparam à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et à l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

NOTES
Le format PEM des paramètres DSA utilise les première et dernière lignes suivantes :

 -----BEGIN DSA PARAMETERS-----
 -----END DSA PARAMETERS-----

La génération de paramètres DSA est un processus lent et ainsi un même ensemble de paramètres DSA est souvent utilisé pour la génération de plusieurs clefs distinctes.

VOIR AUSSI
dsa(1), gendsa(1), genrsa(1), rsa(1)

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.